//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#include "StdHeaders.h"

#include "LineWeightPopupCtrl.h"

#include "Dialog.h"

using namespace VectorWorks::VWUI;

VWLineWeightPopupCtrl::VWLineWeightPopupCtrl(TControlID id)
: VWControl( id )
{
}

VWLineWeightPopupCtrl::~VWLineWeightPopupCtrl()
{
}

bool VWLineWeightPopupCtrl::CreateControl(VWDialog* pDlg)
{
	::GS_CreateLineWeightPopup( gCBP, pDlg->GetControlID(), fControlID );
	return VWControl::CreateControl( pDlg );
}

short VWLineWeightPopupCtrl::GetSelectedLineWeight() const
{
	short	lineWeight;
	::GS_GetLineWeightChoice( gCBP, fpParentDlg->GetControlID(), fControlID, lineWeight);
	return lineWeight;
}

void VWLineWeightPopupCtrl::SetSelectedLineWeight(short lineWeight)
{
	::GS_SetLineWeightChoice( gCBP, fpParentDlg->GetControlID(), fControlID, lineWeight );
}
